Grants, vesting & distributions
Get Upcoming Vesting Operation
Returns cursor-paginated future PENDING vestings with grant, recipient, settlement and tax data.
POSThttps://api.toku.com/tga/get-upcoming-vesting-operation
Not available to API keys yet. It will need grants:read.
curl --request POST \
--url 'https://api.toku.com/tga/get-upcoming-vesting-operation' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"cursor": {
"vestingID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"vestingDate": "2026-01-01T00:00:00Z"
},
"limit": 0
}'200 response
{}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
cursorobjectShow child attributes
vestingIDstring<uuid>requiredvestingDatestring<date-time>requiredlimitintegerAllowed: 1 to 20
Response
200Successful response
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits